curl -X POST "https://api.scanova.io/bulk-operation/download/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Batch download",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"result_file_format": "zip"
}'
{
"operation_id": "bo-dl-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
批量操作
批量下载 QR 码
POST /bulk-operation/download/
POST
/
bulk-operation
/
download
/
curl -X POST "https://api.scanova.io/bulk-operation/download/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Batch download",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"result_file_format": "zip"
}'
{
"operation_id": "bo-dl-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
在 Management API 主机(
异步——轮询列出批量操作获取
api.scanova.io)上异步打包大量 QR 码以供下载,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/bulk-operation/download/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
array
要下载的特定 QR id。也可改用
filter、search 或 bulk_op_id。object
一个已保存的过滤器,用于选择要下载哪些 QR 码,作为
qr_id_list 的替代方式。string
一个搜索词,用于选择要下载哪些 QR 码,作为
qr_id_list 的替代方式。"all" 选择所有拥有的 QR 码。string
现有批量操作的
operation_id——重新下载该操作所生成的 QR 码,作为按 id/过滤器/搜索选择的替代方式。string
下载格式,例如
zip、csv、xlsx。string
下载的 QR 图像尺寸(如适用)。
curl -X POST "https://api.scanova.io/bulk-operation/download/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Batch download",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"result_file_format": "zip"
}'
{
"operation_id": "bo-dl-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
status/progress,然后获取 result_file。如果没有 QR 码与给定的选择条件匹配,则返回 400。
相关内容
- 将拥有的 URL QR 码导出为 CSV——获取
qr_id_list的快捷 id 来源。 - 执行批量快捷操作——使用相同的目标选择参数,改为执行整理/应用设计/删除操作。
- 列出批量操作——轮询完成状态。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
Download packaging started.
此页面对您有帮助吗?